@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Mono&display=swap');
header{
    background-image: linear-gradient(to right, rgb(120, 69, 214),rgb(77, 167, 209));
    padding-bottom: 5px;
    padding-top: 20px;
    /* height: 150px; */
}
footer{
    padding-bottom: 20px;
}
.nav{
    width: 94%;
    display: flex;
    justify-content: center;
    align-items:center ;
}
.logo{
    width: 13%;
    margin: 5px;
} 

.aba{
    color:white;
}
.pesquisar{
    display: flex;
    justify-content: center;
    align-items:center ;
    padding: 20px;
}

#pesquisa {
    padding-left: 15px;
    height: 35px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 720px;
    border: none;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.4);
    color: white;
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1);
}
input[type="search"]::-webkit-search-cancel-button{
  -webkit-appearance: none;
}



/*alterar a cor do placeholder*/
#pesquisa::placeholder{
    color:rgba(255, 255, 255, 0.63);
}

/* tirar barra de foco */
textarea:focus, input:focus, select:focus { 
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.2);
    border: 0 none;
    outline: 0;
} 

body{
    background-color: rgb(240, 240, 240);
}

section{ 
    padding-top: 20px;
    padding-bottom: 40px;
} 

.noticia{
    padding: 20px;
    max-width: 700px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1%;
    background: white;
    /* offset-x | offset-y | blur-radius | spread-radius | color  */
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
}

p{
    color:rgb(110, 110, 110);
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: 'Noto Sans Mono', monospace;
    line-height: 15pt;
    font-size: 13px;
}

h2{
    font-family: 'Noto Sans Mono', monospace;
    font-size: 21px;
    font-weight:bold;
}

h3{
    color:rgb(110, 110, 110);
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: calibri;
    line-height: 15pt;
    font-size: 15px;
    text-align: center;
}
h4{
    text-align: center;
    color:rgb(110, 110, 110);
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: 'Noto Sans Mono', monospace;
    line-height: 15pt;
    font-size: 13px;
}

a{
    text-decoration: none;
    cursor: pointer;
}

.subtitulo{
    color:rgb(110, 110, 110);
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: calibri;
    line-height: 15pt;
    font-size: 17px;
}

.titulo{
        width:80%;
        padding-left: 15px;
        height: 35px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        /* display: block;
        margin:5% auto; */
        border: none;
        border-radius: 5px;
        background: rgba(255, 255, 255, 0.4);
        color: black;
        box-shadow: 2px 2px 5px 1px rgba(0, 0, 0, 0.1);
        font-family: calibri;
        line-height: 15pt;
        font-size: 17px;
    }

.formulario::placeholder{
        color:rgba(90, 90, 90, 0.63);
    }
.inserirArtigo{
    padding-bottom: 20px;
}

.artigo{
        padding-top: 10px;;
        width:80%;
        font-family: calibri;
        line-height: 15pt;
        font-size: 17px;
        padding-left: 15px;
        height: 350px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        /* display: block;
        margin:5% auto; */
        border: none;
        border-radius: 5px;
        background: rgba(255, 255, 255, 0.4);
        color: black;
        box-shadow: 2px 2px 5px 1px rgba(0, 0, 0, 0.1);
    }


.modal-container{
    height: 100vh;
    width: 100vw;
    position:fixed;
    top:0;
    left:0;
    background-color: rgba(0,0,0,0.5);
    z-index:2000;
    display:none;
    justify-content: center;
    align-items: center;
}
.modal-container.mostrar{
    display: flex;

}

.modal{
    background-color: white;
    width: 60%;
    min-width: 300px;
    min-height: 300px;
    padding: 40px;
    border-radius: 5px;;
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.2);
    position: relative;
    color: black;
}

/* animação do modal */
@keyframes modal {
    from{
        opacity: 0;
        transform: translate3d(0, -60px, 0)
    }
    to{
        opacity: 1;
        transform: translate3d(0, 0, 0)
    }
}

.mostrar .modal{
    animation: modal .3s;
}

.button{
    width:84%;
    font-family: 'Noto Sans Mono', monospace;
    font-size: 17pt;
    display: block;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
    font-size: 10pt;
    border:4px solid white;
    color: rgb(51, 51, 51);
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1);
    max-width: 49%;
    cursor: pointer; 
}
.button:hover{
    width:84%;
    font-family: 'Noto Sans Mono', monospace;
    display: block;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    font-size: 10pt;
    border:4px solid white;
    color: rgb(51, 51, 51);
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    
}
.button:active{
    width:84%;
    font-family: calibri;
    font-size: 17pt;
    display: block;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    font-size: 10pt;
    border:4px solid white;
    color: rgb(51, 51, 51);
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1); 
}
.button:focus{
    width:84%;
    font-family: calibri;
    font-size: 17pt;
    display: block;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    font-size: 10pt;
    border:4px solid white;
    color: rgb(51, 51, 51);
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1); 
}


.fechar{
    position:absolute;
    font-size: 1.5em;
    top: -15px;
    right: -15px;
    /* margin: 1%; */
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border:4px solid white;
    color: rgb(51, 51, 51);
    cursor: pointer;
    box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.2);
}




@media screen and (max-width:720px) {
    .nav{
         width: 100%;
        display: flex;
        justify-content:start;
        align-items:center ;
        flex-direction: column;
    }
    img{
        width: 20%;
        padding-right: 0;
        padding-bottom: 5px;
    }
    .logo{
        width: 25%;
        /* margin: 5px; */
    } 
    input[type="text"] {
        width:95%;
        padding-left: 15px;
        height: 35px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        /* display: block;
        margin:5% auto; */
        border: none;
        border-radius: 5px;
        background: rgba(255, 255, 255, 0.4);
        color: white;
        box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1);
    }
    
}
@media screen and (max-width:600px) {
    .nav{
         width: 100%;
        display: flex;
        justify-content:start;
        align-items:center ;
        flex-direction: column;
    }
    img{
        width: 30%;
        padding-right: 0;
        padding-bottom: 5px;
    }
    .logo{
        width: 25%;
        /* margin: 5px; */
    } 
    input[type="text"] {
        width:95%;
        padding-left: 15px;
        height: 35px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        /* display: block;
        margin:5% auto; */
        border: none;
        border-radius: 5px;
        background: rgba(255, 255, 255, 0.4);
        color: white;
        box-shadow: 6px 6px 10px 1px rgba(0, 0, 0, 0.1);
    }
    
}

mark {
    background: rgb(196, 250, 242);
    color: black;
}